mdadm: postinst script owerwrites /etc/default/mdadm values

Bug #8653 reported by Debian Bug Importer
6
Affects Status Importance Assigned to Milestone
mdadm (Debian)
Fix Released
Unknown
mdadm (Ubuntu)
High
Fabio Massimo Di Nitto

Bug Description

Automatically imported from Debian bug report #274208 http://bugs.debian.org/274208

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #274208 http://bugs.debian.org/274208

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Thu, 30 Sep 2004 15:09:06 +0400 (MSD)
From: Michael Tokarev <email address hidden>
To: <email address hidden>
Subject: mdadm: postinst script owerwrites /etc/default/mdadm values

Package: mdadm
Version: 1.7.0-1
Severity: grave

When upgrading mdadm package, postinst script
owerwrites /etc/default/mdadm conffile with
values stored in debconf cache. Ie, any changes
made in that file will be lost after upgrade,
wich, together the mess with AUTOSTART variable
changing it's meaning in every of several
previous releases, when on had to tweak the
value after every upgrade, with good probability
makes a system with raid arrays unbootable
(thus severity of the bug).

As it was pointed out, debconf database is
only a cache for configuration questions,
and should NOT be used to STORE the config
info, which, if needed, should be retrieved
from actual config files (/etc/default/mdadm
in this case) during upgrade.

And when we're at it, both init scripts are
trying to load md module unconditionally.
It will be better if mdadm-raid initscript
will probe for md driver inside the
 if [ $AUTOSTART .. ]... fi
block, in "start" case only (as other
parts of the script does nothing anyway),
and mdadm script will not probe for the
md module at all, -- if there's no
/proc/mdstat present at a time when
mdadm monitor is starting (which happens
near the end of boot process), there's
no reason to load the module and start
monitoring.

/mjt

-- System Information
Debian Release: 3.0
Kernel Version: Linux paltus.tls.msk.ru 2.6.7-i686-2 #1 Mon Jul 26 18:54:34 MSD 2004 i686 GNU/Linux

Versions of the packages mdadm depends on:
||/ Name Version Description
+++-==============-==============-============================================
ii debconf 1.4.30.3 Debian configuration management system
ii libc6 2.3.2.ds1-16 GNU C Library: Shared libraries and Timezone
ii makedev 2.3.1-75 Creates device files in /dev

Revision history for this message
In , Fabio Massimo Di Nitto (fabbione) wrote : patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

tag 274208 patch
stop

Hi,
 I prepared and tested a patch to fix this bug that you can find here:

http://people.ubuntulinux.org/patches/mdadm.274208.diff

Thanks
Fabio

- --
<user> fajita: step one
<fajita> Whatever the problem, step one is always to look in the error log.
<user> fajita: step two
<fajita> When in danger or in doubt, step two is to scream and shout.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFBXPL9hCzbekR3nhgRAlDyAJ448gJpcHaMYZwIEBq78xXXr7WpmwCeMfQF
zDanQ2/lyatlBbJywZi9Pew=
=IUBZ
-----END PGP SIGNATURE-----

Revision history for this message
Fabio Massimo Di Nitto (fabbione) wrote :

Fixed with mdadm ubuntu6 upload.

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Fri, 01 Oct 2004 08:02:39 +0200
From: Fabio Massimo Di Nitto <email address hidden>
To: <email address hidden>, <email address hidden>
Subject: patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

tag 274208 patch
stop

Hi,
 I prepared and tested a patch to fix this bug that you can find here:

http://people.ubuntulinux.org/patches/mdadm.274208.diff

Thanks
Fabio

- --
<user> fajita: step one
<fajita> Whatever the problem, step one is always to look in the error log.
<user> fajita: step two
<fajita> When in danger or in doubt, step two is to scream and shout.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFBXPL9hCzbekR3nhgRAlDyAJ448gJpcHaMYZwIEBq78xXXr7WpmwCeMfQF
zDanQ2/lyatlBbJywZi9Pew=
=IUBZ
-----END PGP SIGNATURE-----

Revision history for this message
In , Frank Lichtenheld (djpig) wrote : Re: Bug#274208: patch

On Fri, Oct 01, 2004 at 08:02:39AM +0200, Fabio Massimo Di Nitto wrote:
> Hi,
> I prepared and tested a patch to fix this bug that you can find here:
>
> http://people.ubuntulinux.org/patches/mdadm.274208.diff

One question to the patch: You only load the config from
/etc/mdadm/debian.conf. As I understand the
postinst, this file was the old location for storing these
values and /etc/default/mdadm is used now. Shouldn't
mdadm.config try to load both files, prefering
/etc/default/mdadm if both exist?

Gruesse,
--
Frank Lichtenheld <email address hidden>
www: http://www.djpig.de/

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <20041009124918.GB4743@feynman>
Date: Sat, 9 Oct 2004 14:49:19 +0200
From: Frank Lichtenheld <email address hidden>
To: Fabio Massimo Di Nitto <email address hidden>, <email address hidden>
Subject: Re: Bug#274208: patch

On Fri, Oct 01, 2004 at 08:02:39AM +0200, Fabio Massimo Di Nitto wrote:
> Hi,
> I prepared and tested a patch to fix this bug that you can find here:
>
> http://people.ubuntulinux.org/patches/mdadm.274208.diff

One question to the patch: You only load the config from
/etc/mdadm/debian.conf. As I understand the
postinst, this file was the old location for storing these
values and /etc/default/mdadm is used now. Shouldn't
mdadm.config try to load both files, prefering
/etc/default/mdadm if both exist?

Gruesse,
--
Frank Lichtenheld <email address hidden>
www: http://www.djpig.de/

Revision history for this message
In , Fabio Massimo Di Nitto (fabbione) wrote :

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Frank Lichtenheld wrote:
| On Fri, Oct 01, 2004 at 08:02:39AM +0200, Fabio Massimo Di Nitto wrote:
|
|>Hi,
|> I prepared and tested a patch to fix this bug that you can find here:
|>
|>http://people.ubuntulinux.org/patches/mdadm.274208.diff
|
|
| One question to the patch: You only load the config from
| /etc/mdadm/debian.conf. As I understand the
| postinst, this file was the old location for storing these
| values and /etc/default/mdadm is used now. Shouldn't
| mdadm.config try to load both files, prefering
| /etc/default/mdadm if both exist?
|
| Gruesse,

argh, you are right! I did the patch on an older version of mdadm, but
the logic of the patch is exactly the same. You can adapt it easily to
the new one.

Fabio

- --
<user> fajita: step one
<fajita> Whatever the problem, step one is always to look in the error log.
<user> fajita: step two
<fajita> When in danger or in doubt, step two is to scream and shout.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFBaLG0hCzbekR3nhgRAtUuAKCl61hnPs2KfWuU/DBBgnP15klDhwCdG1As
cIEM7/cb8smv8LNQWBeVF2E=
=HUW0
-----END PGP SIGNATURE-----

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sun, 10 Oct 2004 05:51:18 +0200
From: Fabio Massimo Di Nitto <email address hidden>
To: Frank Lichtenheld <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#274208: patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Frank Lichtenheld wrote:
| On Fri, Oct 01, 2004 at 08:02:39AM +0200, Fabio Massimo Di Nitto wrote:
|
|>Hi,
|> I prepared and tested a patch to fix this bug that you can find here:
|>
|>http://people.ubuntulinux.org/patches/mdadm.274208.diff
|
|
| One question to the patch: You only load the config from
| /etc/mdadm/debian.conf. As I understand the
| postinst, this file was the old location for storing these
| values and /etc/default/mdadm is used now. Shouldn't
| mdadm.config try to load both files, prefering
| /etc/default/mdadm if both exist?
|
| Gruesse,

argh, you are right! I did the patch on an older version of mdadm, but
the logic of the patch is exactly the same. You can adapt it easily to
the new one.

Fabio

- --
<user> fajita: step one
<fajita> Whatever the problem, step one is always to look in the error log.
<user> fajita: step two
<fajita> When in danger or in doubt, step two is to scream and shout.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFBaLG0hCzbekR3nhgRAtUuAKCl61hnPs2KfWuU/DBBgnP15klDhwCdG1As
cIEM7/cb8smv8LNQWBeVF2E=
=HUW0
-----END PGP SIGNATURE-----

Revision history for this message
In , Frank Lichtenheld (djpig) wrote :

On Sun, Oct 10, 2004 at 05:51:18AM +0200, Fabio Massimo Di Nitto wrote:
> argh, you are right! I did the patch on an older version of mdadm, but
> the logic of the patch is exactly the same. You can adapt it easily to
> the new one.

Here is a modified patch that should deal both with the old
and the new file location. Should I upload this as a NMU or do
you plan an upload yourself?

diff -Naur mdadm-1.7.0.bak/debian/mdadm.config mdadm-1.7.0/debian/mdadm.config
--- mdadm-1.7.0.bak/debian/mdadm.config 2004-10-18 23:57:16.000000000 +0200
+++ mdadm-1.7.0/debian/mdadm.config 2004-10-19 00:07:16.000000000 +0200
@@ -6,6 +6,29 @@

 . /usr/share/debconf/confmodule

+DEBIANCONFIG=/etc/default/mdadm
+DEBIANCONFIG_OLD=/etc/mdadm/debian.conf
+
+if [ ! -e "$DEBIANCONFIG" ]; then
+ if [ -e "$DEBIANCONFIG_OLD" ]; then
+ DEBIANCONFIG="$DEBIANCONFIG_OLD"
+ fi
+fi
+
+# preseed debconf templates
+if [ -s $DEBIANCONFIG ] ; then
+ . $DEBIANCONFIG
+ if [ -n "$AUTOSTART" ]; then
+ db_set mdadm/autostart "$AUTOSTART"
+ fi
+ if [ -n "$START_DAEMON" ]; then
+ db_set mdadm/start_daemon "$START_DAEMON"
+ fi
+ if [ -n "$MAIL_TO" ]; then
+ db_set mdadm/mail_to "$MAIL_TO"
+ fi
+fi
+
 db_input medium mdadm/warning || true
 db_go

Gruesse,
--
Frank Lichtenheld <email address hidden>
www: http://www.djpig.de/

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 19 Oct 2004 00:10:39 +0200
From: Frank Lichtenheld <email address hidden>
To: <email address hidden>
Cc: Fabio Massimo Di Nitto <email address hidden>
Subject: Re: Bug#274208: patch

On Sun, Oct 10, 2004 at 05:51:18AM +0200, Fabio Massimo Di Nitto wrote:
> argh, you are right! I did the patch on an older version of mdadm, but
> the logic of the patch is exactly the same. You can adapt it easily to
> the new one.

Here is a modified patch that should deal both with the old
and the new file location. Should I upload this as a NMU or do
you plan an upload yourself?

diff -Naur mdadm-1.7.0.bak/debian/mdadm.config mdadm-1.7.0/debian/mdadm.config
--- mdadm-1.7.0.bak/debian/mdadm.config 2004-10-18 23:57:16.000000000 +0200
+++ mdadm-1.7.0/debian/mdadm.config 2004-10-19 00:07:16.000000000 +0200
@@ -6,6 +6,29 @@

 . /usr/share/debconf/confmodule

+DEBIANCONFIG=/etc/default/mdadm
+DEBIANCONFIG_OLD=/etc/mdadm/debian.conf
+
+if [ ! -e "$DEBIANCONFIG" ]; then
+ if [ -e "$DEBIANCONFIG_OLD" ]; then
+ DEBIANCONFIG="$DEBIANCONFIG_OLD"
+ fi
+fi
+
+# preseed debconf templates
+if [ -s $DEBIANCONFIG ] ; then
+ . $DEBIANCONFIG
+ if [ -n "$AUTOSTART" ]; then
+ db_set mdadm/autostart "$AUTOSTART"
+ fi
+ if [ -n "$START_DAEMON" ]; then
+ db_set mdadm/start_daemon "$START_DAEMON"
+ fi
+ if [ -n "$MAIL_TO" ]; then
+ db_set mdadm/mail_to "$MAIL_TO"
+ fi
+fi
+
 db_input medium mdadm/warning || true
 db_go

Gruesse,
--
Frank Lichtenheld <email address hidden>
www: http://www.djpig.de/

Revision history for this message
In , Fabio Massimo Di Nitto (fabbione) wrote :

Frank Lichtenheld wrote:
> On Sun, Oct 10, 2004 at 05:51:18AM +0200, Fabio Massimo Di Nitto wrote:
>
>>argh, you are right! I did the patch on an older version of mdadm, but
>>the logic of the patch is exactly the same. You can adapt it easily to
>>the new one.
>
>
> Here is a modified patch that should deal both with the old
> and the new file location.

It looks sane to me.

> Should I upload this as a NMU or do
> you plan an upload yourself?

I was hoping in the maintianer but please go ahead. I am in short of time :(

Fabio

>
> diff -Naur mdadm-1.7.0.bak/debian/mdadm.config mdadm-1.7.0/debian/mdadm.config
> --- mdadm-1.7.0.bak/debian/mdadm.config 2004-10-18 23:57:16.000000000 +0200
> +++ mdadm-1.7.0/debian/mdadm.config 2004-10-19 00:07:16.000000000 +0200
> @@ -6,6 +6,29 @@
>
> . /usr/share/debconf/confmodule
>
> +DEBIANCONFIG=/etc/default/mdadm
> +DEBIANCONFIG_OLD=/etc/mdadm/debian.conf
> +
> +if [ ! -e "$DEBIANCONFIG" ]; then
> + if [ -e "$DEBIANCONFIG_OLD" ]; then
> + DEBIANCONFIG="$DEBIANCONFIG_OLD"
> + fi
> +fi
> +
> +# preseed debconf templates
> +if [ -s $DEBIANCONFIG ] ; then
> + . $DEBIANCONFIG
> + if [ -n "$AUTOSTART" ]; then
> + db_set mdadm/autostart "$AUTOSTART"
> + fi
> + if [ -n "$START_DAEMON" ]; then
> + db_set mdadm/start_daemon "$START_DAEMON"
> + fi
> + if [ -n "$MAIL_TO" ]; then
> + db_set mdadm/mail_to "$MAIL_TO"
> + fi
> +fi
> +
> db_input medium mdadm/warning || true
> db_go
>
>
> Gruesse,

--
<user> fajita: step one
<fajita> Whatever the problem, step one is always to look in the error log.
<user> fajita: step two
<fajita> When in danger or in doubt, step two is to scream and shout.

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 19 Oct 2004 05:13:01 +0200
From: Fabio Massimo Di Nitto <email address hidden>
To: Frank Lichtenheld <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#274208: patch

Frank Lichtenheld wrote:
> On Sun, Oct 10, 2004 at 05:51:18AM +0200, Fabio Massimo Di Nitto wrote:
>
>>argh, you are right! I did the patch on an older version of mdadm, but
>>the logic of the patch is exactly the same. You can adapt it easily to
>>the new one.
>
>
> Here is a modified patch that should deal both with the old
> and the new file location.

It looks sane to me.

> Should I upload this as a NMU or do
> you plan an upload yourself?

I was hoping in the maintianer but please go ahead. I am in short of time :(

Fabio

>
> diff -Naur mdadm-1.7.0.bak/debian/mdadm.config mdadm-1.7.0/debian/mdadm.config
> --- mdadm-1.7.0.bak/debian/mdadm.config 2004-10-18 23:57:16.000000000 +0200
> +++ mdadm-1.7.0/debian/mdadm.config 2004-10-19 00:07:16.000000000 +0200
> @@ -6,6 +6,29 @@
>
> . /usr/share/debconf/confmodule
>
> +DEBIANCONFIG=/etc/default/mdadm
> +DEBIANCONFIG_OLD=/etc/mdadm/debian.conf
> +
> +if [ ! -e "$DEBIANCONFIG" ]; then
> + if [ -e "$DEBIANCONFIG_OLD" ]; then
> + DEBIANCONFIG="$DEBIANCONFIG_OLD"
> + fi
> +fi
> +
> +# preseed debconf templates
> +if [ -s $DEBIANCONFIG ] ; then
> + . $DEBIANCONFIG
> + if [ -n "$AUTOSTART" ]; then
> + db_set mdadm/autostart "$AUTOSTART"
> + fi
> + if [ -n "$START_DAEMON" ]; then
> + db_set mdadm/start_daemon "$START_DAEMON"
> + fi
> + if [ -n "$MAIL_TO" ]; then
> + db_set mdadm/mail_to "$MAIL_TO"
> + fi
> +fi
> +
> db_input medium mdadm/warning || true
> db_go
>
>
> Gruesse,

--
<user> fajita: step one
<fajita> Whatever the problem, step one is always to look in the error log.
<user> fajita: step two
<fajita> When in danger or in doubt, step two is to scream and shout.

Revision history for this message
In , Mario Joußen (mario-joussen) wrote :

Fabio Massimo Di Nitto wrote:
> Frank Lichtenheld wrote:
>
>> On Sun, Oct 10, 2004 at 05:51:18AM +0200, Fabio Massimo Di Nitto wrote:
>>
>>> argh, you are right! I did the patch on an older version of mdadm, but
>>> the logic of the patch is exactly the same. You can adapt it easily to
>>> the new one.
>>
>> Here is a modified patch that should deal both with the old
>> and the new file location.
>
> It looks sane to me.
>
>> Should I upload this as a NMU or do
>> you plan an upload yourself?
>
> I was hoping in the maintianer but please go ahead. I am in short of
> time :(

I will do the upload in the next few days. Thanks for the patches.

> Fabio

Cheers, Mario

--
                                       ,,,
                    Mario Joußen (o o) <email address hidden>
+--------------------------------oOO--(_)--OOo--------------------------------+
           BOFH excuse #401: Sales staff sold a product we don't offer.

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 19 Oct 2004 08:31:47 +0200
From: =?ISO-8859-1?Q?Mario_Jou=DFen?= <email address hidden>
To: Fabio Massimo Di Nitto <email address hidden>,
 <email address hidden>
Cc: Frank Lichtenheld <email address hidden>
Subject: Re: Bug#274208: patch

Fabio Massimo Di Nitto wrote:
> Frank Lichtenheld wrote:
>=20
>> On Sun, Oct 10, 2004 at 05:51:18AM +0200, Fabio Massimo Di Nitto wrote=
:
>>
>>> argh, you are right! I did the patch on an older version of mdadm, bu=
t
>>> the logic of the patch is exactly the same. You can adapt it easily t=
o
>>> the new one.
>>
>> Here is a modified patch that should deal both with the old
>> and the new file location.
>=20
> It looks sane to me.
>=20
>> Should I upload this as a NMU or do
>> you plan an upload yourself?
>=20
> I was hoping in the maintianer but please go ahead. I am in short of=20
> time :(

I will do the upload in the next few days. Thanks for the patches.

> Fabio

Cheers, Mario

--=20
                                       ,,,
                    Mario Jou=DFen (o o) <email address hidden>
+--------------------------------oOO--(_)--OOo---------------------------=
-----+
           BOFH excuse #401: Sales staff sold a product we don't offer.

Revision history for this message
In , Mario Joussen (joussen) wrote : Bug#274208: fixed in mdadm 1.7.0-2

Source: mdadm
Source-Version: 1.7.0-2

We believe that the bug you reported is fixed in the latest version of
mdadm, which is due to be installed in the Debian FTP archive:

mdadm-udeb_1.7.0-2_i386.udeb
  to pool/main/m/mdadm/mdadm-udeb_1.7.0-2_i386.udeb
mdadm_1.7.0-2.diff.gz
  to pool/main/m/mdadm/mdadm_1.7.0-2.diff.gz
mdadm_1.7.0-2.dsc
  to pool/main/m/mdadm/mdadm_1.7.0-2.dsc
mdadm_1.7.0-2_i386.deb
  to pool/main/m/mdadm/mdadm_1.7.0-2_i386.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mario Joussen <email address hidden> (supplier of updated mdadm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 24 Oct 2004 19:48:06 +0200
Source: mdadm
Binary: mdadm mdadm-udeb
Architecture: source i386
Version: 1.7.0-2
Distribution: unstable
Urgency: high
Maintainer: Mario Joussen <email address hidden>
Changed-By: Mario Joussen <email address hidden>
Description:
 mdadm - Manage MD devices aka Linux Software Raid
 mdadm-udeb - Manage MD devices aka Linux Software Raid (udeb)
Closes: 274208
Changes:
 mdadm (1.7.0-2) unstable; urgency=high
 .
   * Changed debconf script to save the settings from the config file.
     Thanks to Fabio Massimo Di Nitto <email address hidden> and
     Frank Lichtenheld <email address hidden> for the patch.
     (closes: Bug#274208)
   * Moved try to load md module inside the AUTOSTART if branch in
     /etc/init.d/mdadm.
   * Removed try to load md module from /etc/init.d/mdadm-raid.
Files:
 a5b9b6170cbe46211868b3a9f329ca79 609 admin optional mdadm_1.7.0-2.dsc
 fd1712872bb59d780152fedfe28413e8 30688 admin optional mdadm_1.7.0-2.diff.gz
 a28bddf9a310bb874f2e628affafdec8 96748 admin optional mdadm_1.7.0-2_i386.deb
 492d138cea6b7b77e16c1bc15df86f07 40206 debian-installer optional mdadm-udeb_1.7.0-2_i386.udeb
package-type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQFBe+/nMHtSKdKmuBARAhICAKC+eiyYCpQ8Aio4mc07jeudfyjfuACfaCyC
2v0cT5m2YbiV9zA6+nf/5D0=
=1cnh
-----END PGP SIGNATURE-----

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Sun, 24 Oct 2004 14:32:07 -0400
From: Mario Joussen <email address hidden>
To: <email address hidden>
Subject: Bug#274208: fixed in mdadm 1.7.0-2

Source: mdadm
Source-Version: 1.7.0-2

We believe that the bug you reported is fixed in the latest version of
mdadm, which is due to be installed in the Debian FTP archive:

mdadm-udeb_1.7.0-2_i386.udeb
  to pool/main/m/mdadm/mdadm-udeb_1.7.0-2_i386.udeb
mdadm_1.7.0-2.diff.gz
  to pool/main/m/mdadm/mdadm_1.7.0-2.diff.gz
mdadm_1.7.0-2.dsc
  to pool/main/m/mdadm/mdadm_1.7.0-2.dsc
mdadm_1.7.0-2_i386.deb
  to pool/main/m/mdadm/mdadm_1.7.0-2_i386.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mario Joussen <email address hidden> (supplier of updated mdadm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 24 Oct 2004 19:48:06 +0200
Source: mdadm
Binary: mdadm mdadm-udeb
Architecture: source i386
Version: 1.7.0-2
Distribution: unstable
Urgency: high
Maintainer: Mario Joussen <email address hidden>
Changed-By: Mario Joussen <email address hidden>
Description:
 mdadm - Manage MD devices aka Linux Software Raid
 mdadm-udeb - Manage MD devices aka Linux Software Raid (udeb)
Closes: 274208
Changes:
 mdadm (1.7.0-2) unstable; urgency=high
 .
   * Changed debconf script to save the settings from the config file.
     Thanks to Fabio Massimo Di Nitto <email address hidden> and
     Frank Lichtenheld <email address hidden> for the patch.
     (closes: Bug#274208)
   * Moved try to load md module inside the AUTOSTART if branch in
     /etc/init.d/mdadm.
   * Removed try to load md module from /etc/init.d/mdadm-raid.
Files:
 a5b9b6170cbe46211868b3a9f329ca79 609 admin optional mdadm_1.7.0-2.dsc
 fd1712872bb59d780152fedfe28413e8 30688 admin optional mdadm_1.7.0-2.diff.gz
 a28bddf9a310bb874f2e628affafdec8 96748 admin optional mdadm_1.7.0-2_i386.deb
 492d138cea6b7b77e16c1bc15df86f07 40206 debian-installer optional mdadm-udeb_1.7.0-2_i386.udeb
package-type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQFBe+/nMHtSKdKmuBARAhICAKC+eiyYCpQ8Aio4mc07jeudfyjfuACfaCyC
2v0cT5m2YbiV9zA6+nf/5D0=
=1cnh
-----END PGP SIGNATURE-----

Changed in mdadm:
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.